[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazarusFileDialogForm.HandleTreeViewSelectionChanged

Event handler signalled when the selected item in ShellTreeView is changed.

## Declaration

Source position: lazdialogs.pas line 45

`public procedure TLazarusFileDialogForm.HandleTreeViewSelectionChanged(`
`ASender: TObject`
`);`

## Arguments

`ASender` |  | Component generating the event notification.

## Description

HandleTreeViewSelectionChanged is a procedure used as the event handler for a change to the selected item in the ShellTreeView control. It is assigned to the OnSelectItem property for the ShellListView control in the Initialize method.

HandleTreeViewSelectionChanged is used in directory selection dialogs (Kind contains ldkSelectDirectory). HandleTreeViewSelectionChanged ensures that the OK button in ButtonPanel is enabled.

## See also

TLazarusFileDialogForm.ShellTreeView |  | Shell tree view control for the Lazarus dialog form.
TLazarusFileDialogForm.ButtonPanel |  | Button panel for the Lazarus dialog form.
TLazFileDialogKind |  | Enumerated type which represents the dialog kind in a Lazarus dialog form.